# Gets a producer production group by its ID.

Endpoint: GET /api/producer-production-groups/{id}
Version: v1.0
Security: Bearer

## Path parameters:

  - `id` (integer, required)
    The ID of the producer production group.

## Response 200 fields (application/json):

  - `projectId` (string)
    Gets or sets the project id associated with the producer production group.

  - `name` (string,null)
    The name of the producer production group.

  - `projectNumber` (string,null)
    Gets or sets the project number.

  - `projectName` (string,null)
    Project name.

  - `customerName` (string,null)
    Gets or sets the customer name.

  - `deliveryDate` (string,null)
    Gets or sets the estimated delivery date.

  - `maxHeight` (number,null)
    Gets or sets the height of the tallest component.

  - `maxSpan` (number,null)
    Gets or sets the maximum span of the group.

  - `maxWeight` (number,null)
    Gets or sets the weight of the heaviest component.

  - `totalBdft` (number,null)
    Gets or sets the total board feet (BDFT) of the producer production group.

  - `totalComponents` (integer,null)
    Gets or sets the total number of components in the producer production group.

  - `totalLft` (number,null)
    Gets or sets the total linear feet (LFT) of the producer production group.

  - `totalPieces` (integer,null)
    Gets or sets the total number of pieces in the producer production group.

  - `totalWeight` (number,null)
    Gets or sets the total weight of the producer production group.

  - `uniquePieceCount` (integer)
    Gets or sets the number of unique pieces in the producer production group.

  - `components` (array,null)
    Gets or sets the components of the producer production group.

  - `components.id` (string, required)
    Unique identifier for the component.

  - `components.name` (string,null, required)
    Name of the component.

  - `components.quantity` (integer, required)
    Required quantity of the component.

  - `components.order` (integer)
    Order of the component.

  - `components.numPlies` (integer)
    Number of plies of the component.

  - `components.pieces` (array,null)
    Collection of piece data associated with the component.

  - `components.pieces.label` (string, required)
    Label of the piece.

  - `components.pieces.overallLengthInches` (number, required)
    Overall length of the piece in decimal inches.

  - `components.pieces.quantity` (integer, required)
    Build quantity of the piece.

  - `components.pieces.pieceKey` (string,null)
    Unique key for the piece.

  - `components.pieces.endCapPositive` (string,null)
    End cap positive vector for the piece.

  - `components.pieces.endCapNegative` (string,null)
    End cap negative vector for the piece.

  - `components.pieces.lumberNdsDescription` (string,null)
    NDS lumber description for the piece.

  - `components.pieces.lumberGrade` (string,null)
    Lumber grade for the piece.

  - `components.pieces.lumberSpecies` (string,null)
    Lumber species for the piece.

  - `components.pieces.lumberSize` (string,null)
    Lumber size for the piece.

  - `components.pieces.startPly` (integer,null)
    Start ply for the piece.

  - `components.pieces.plyCount` (integer,null)
    Ply count for the piece.

  - `components.plates` (array,null)
    Collection of plate data associated with the component.

  - `components.plates.label` (string,null)
    Label of the plate.

  - `components.plates.quantity` (integer)
    Quantity of plates.

  - `components.plates.description` (string,null)
    Description of the plate.

  - `components.plates.thicknessGauge` (string,null)
    Thickness gauge of the plate.

  - `components.plates.lengthInches` (number)
    Length of the plate in inches.

  - `components.plates.widthInches` (number)
    Width of the plate in inches.

  - `components.plates.gauge` (string,null)
    Gauge value of the plate.

  - `components.plates.reportHighlightArgb` (integer,null)
    ARGB value for report highlight.

  - `components.plates.colorArgb` (integer,null)
    ARGB color value for the plate.

  - `components.plates.translateVector` (string,null)
    Translation vector for the plate.

  - `components.plates.rotateVector` (string,null)
    Rotation vector for the plate.

  - `components.plates.jointLabel` (string,null)
    Joint label for the plate.

  - `components.plates.jointLocation` (string,null)
    Joint location for the plate.

  - `components.plates.jointStartPly` (integer)
    Start ply for the joint.

  - `components.plates.jointPlyCount` (integer)
    Ply count for the joint.

  - `subPpgs` (array,null)
    Gets or sets the sub producer production groups of the producer production group.

  - `subPpgs.name` (string,null)
    Name of the sub-production group.

  - `subPpgs.assignedSaw` (string,null)
    Assigned saw.

  - `subPpgs.assignedTable` (string,null)
    Assigned table.

  - `subPpgs.totalBdft` (number)
    Total board feet.

  - `subPpgs.totalLft` (number)
    Total linear feet (LFT) of the producer production group.

  - `subPpgs.totalPieces` (integer)
    Total number of pieces in the sub-production group.

  - `subPpgs.uniquePiecesCount` (integer)
    The number of unique pieces in the producer production group.

  - `subPpgs.totalComponents` (integer)
    Total number of components in the sub-production group.

  - `subPpgs.uniqueComponentsCount` (integer)
    Number of unique components in the sub-production group.

  - `subPpgs.maxHeight` (number)
    The maximum height of the components within the sub-production group.

  - `subPpgs.maxSpan` (number)
    Maximum span of the sub-production group components.

  - `subPpgs.maxWeight` (number)
    Maximum weight of the sub-production group.

  - `subPpgs.totalWeight` (number)
    Total weight of the sub-production group.

  - `subPpgs.components` (array,null)
    List of components associated with the sub-production group.

  - `subPpgs.components.id` (string, required)
    Unique identifier for the component.

  - `subPpgs.components.name` (string,null, required)
    Name of the component.

  - `subPpgs.components.quantity` (integer, required)
    Required quantity of the component.

  - `subPpgs.components.order` (integer)
    Order of the component.

  - `subPpgs.components.numPlies` (integer)
    Number of plies of the component.

  - `subPpgs.components.pieces` (array,null)
    Collection of piece data associated with the component.

  - `subPpgs.components.pieces.label` (string, required)
    Label of the piece.

  - `subPpgs.components.pieces.overallLengthInches` (number, required)
    Overall length of the piece in decimal inches.

  - `subPpgs.components.pieces.quantity` (integer, required)
    Build quantity of the piece.

  - `subPpgs.components.pieces.pieceKey` (string,null)
    Unique key for the piece.

  - `subPpgs.components.pieces.endCapPositive` (string,null)
    End cap positive vector for the piece.

  - `subPpgs.components.pieces.endCapNegative` (string,null)
    End cap negative vector for the piece.

  - `subPpgs.components.pieces.lumberNdsDescription` (string,null)
    NDS lumber description for the piece.

  - `subPpgs.components.pieces.lumberGrade` (string,null)
    Lumber grade for the piece.

  - `subPpgs.components.pieces.lumberSpecies` (string,null)
    Lumber species for the piece.

  - `subPpgs.components.pieces.lumberSize` (string,null)
    Lumber size for the piece.

  - `subPpgs.components.pieces.startPly` (integer,null)
    Start ply for the piece.

  - `subPpgs.components.pieces.plyCount` (integer,null)
    Ply count for the piece.

  - `subPpgs.components.plates` (array,null)
    Collection of plate data associated with the component.

  - `subPpgs.components.plates.label` (string,null)
    Label of the plate.

  - `subPpgs.components.plates.quantity` (integer)
    Quantity of plates.

  - `subPpgs.components.plates.description` (string,null)
    Description of the plate.

  - `subPpgs.components.plates.thicknessGauge` (string,null)
    Thickness gauge of the plate.

  - `subPpgs.components.plates.lengthInches` (number)
    Length of the plate in inches.

  - `subPpgs.components.plates.widthInches` (number)
    Width of the plate in inches.

  - `subPpgs.components.plates.gauge` (string,null)
    Gauge value of the plate.

  - `subPpgs.components.plates.reportHighlightArgb` (integer,null)
    ARGB value for report highlight.

  - `subPpgs.components.plates.colorArgb` (integer,null)
    ARGB color value for the plate.

  - `subPpgs.components.plates.translateVector` (string,null)
    Translation vector for the plate.

  - `subPpgs.components.plates.rotateVector` (string,null)
    Rotation vector for the plate.

  - `subPpgs.components.plates.jointLabel` (string,null)
    Joint label for the plate.

  - `subPpgs.components.plates.jointLocation` (string,null)
    Joint location for the plate.

  - `subPpgs.components.plates.jointStartPly` (integer)
    Start ply for the joint.

  - `subPpgs.components.plates.jointPlyCount` (integer)
    Ply count for the joint.

  - `subPpgs.batchPieces` (array,null)
    List of batch pieces associated with the sub-production group.

  - `subPpgs.batchPieces.consolidatedPieceKey` (string,null)
    Key for the consolidated piece.

  - `subPpgs.batchPieces.componentKey` (string,null)
    Key for the component.

  - `subPpgs.batchPieces.cutSequence` (integer)
    Cut sequence number.

  - `subPpgs.batchPieces.distinctCutSequence` (integer)
    Distinct cut sequence number.

  - `subPpgs.batchPieces.productionLabel` (string,null)
    Production label for the batch piece.

  - `subPpgs.batchPieces.quantity` (integer)
    Quantity of batch pieces.

  - `subPpgs.batchPieces.overallLengthInches` (number)
    Overall length in inches.

  - `subPpgs.batchPieces.lumberNdsDescription` (string,null)
    NDS lumber description.

  - `subPpgs.batchPieces.lumberGrade` (string,null)
    Lumber grade.

  - `subPpgs.batchPieces.lumberSpecies` (string,null)
    Lumber species.

  - `subPpgs.batchPieces.lumberSize` (string,null)
    Lumber size.

  - `productionNote` (string,null)
    Gets or sets the production notes associated with the producer production group.
This property allows for adding additional information or context related to production.

  - `files` (array,null)
    List of batcher output files from Director.

  - `id` (integer)

  - `reports` (array,null)
    Reports of the producer production group.

  - `reports.reportName` (string,null)
    Gets or sets the Report Name of the report.

  - `reports.reportPath` (string,null)
    Gets or sets the blob storage identifier of the report.
{PpgId}/reports/{generated GUID}.pdf

  - `version` (string,null)
    The version property. Used for optimistic concurrency control.

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 404 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 500 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


